Client A P I
Create server subuser
Assigns an existing or new user as a subuser on the server.
POST
/api/client/servers/{server_uuid}/usersAuthorization
default AuthorizationBearer <token>
Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Path Parameters
server_uuid*string
The server UUID.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/client/servers/d3aac109-e5a0-4331-b03e-3454f7e02bbe/users" \ -H "Content-Type: application/json" \ -d '{ "email": "[email protected]" }'{ "object": "server_subuser", "attributes": { "uuid": "eb246353-0e44-41d7-8024-9627af5f94e4", "identifier": "user_5msgguyoira5pabesyt26x4u4q", "username": "cynthia21_gqxb5rujzb", "email": "[email protected]", "image": "https://gravatar.com/avatar/9fed602415b3f371132a674c63351ee4", "2fa_enabled": false, "created_at": "2026-09-22T14:45:24+00:00", "permissions": [ "websocket.connect", "control.console" ] }}